﻿using System;
using System.Text;
using System.Threading;
using System.Globalization;
using System.Configuration;
using System.Net;
using System.Net.Mail;
using System.Collections;
using System.IO;

namespace WindowCommentReport
{
    public partial class Comment : System.Web.UI.Page
    {
        #region events

        protected void Page_Load(object sender, EventArgs e)
        {
            lblFromEmail.Text = ConfigurationManager.AppSettings["Email"];
            lblToEmail.Text = ConfigurationManager.AppSettings["Email"];
            lblTitle.Text = "Comment";
        }

        /// <summary>
        /// overide culture intialization to set the user language for the gui of the system.
        /// </summary>
        /// 
        protected override void InitializeCulture()
        {
            if (Session["language"] == null)
                Session["language"] = "he-il";
            Thread.CurrentThread.CurrentUICulture = new CultureInfo(Session["language"] as string);
            Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(Session["language"] as string);
            base.InitializeCulture();
        }

        protected void btnSend_Click(object sender, EventArgs e)
        {
            if (cbCommentType.SelectedValue == "")
            {
                RadAjaxPanel1.Alert("Select category...");
                return;
            }
            try
            {
                MailMessage msg = new MailMessage();
                MailMessage selfMsg = new MailMessage();
                msg.Subject = tbSubject.Text;
                msg.IsBodyHtml = true;
                selfMsg.IsBodyHtml = true;
                msg.BodyEncoding = Encoding.GetEncoding("utf-8");
                selfMsg.BodyEncoding = Encoding.GetEncoding("utf-8");
                msg.Body = "<table border=\"0\" dir=\"rtl\" width=\"100%\"><tr dir=\"rtl\" align=\"right\"><td dir=\"rtl\" align=\"right\" valign=\"top\">";
                msg.Body += "<span dir=\"rtl\" style=\"text-align:right; font-family:Arial (Hebrew); font-size:12pt; font-weight:normal;\">";
                msg.Body += "TITLE";
                msg.Body += "</span></td></tr><tr dir=\"rtl\" align=\"right\"><td dir=\"rtl\" align=\"right\" valign=\"top\">";
                msg.Body += "<span dir=\"rtl\" style=\"text-align:right; font-family:Arial (Hebrew); font-size:10pt; font-weight:normal;\">";
                msg.Body += "SUB TITLE";
                msg.Body += "</span></td></tr><tr><td style=\"height:10px\"></td></tr><tr dir=\"rtl\" align=\"right\"><td dir=\"rtl\" align=\"right\" valign=\"top\">";
                msg.Body += "<span dir=\"rtl\" style=\"text-align:right; font-family:Arial (Hebrew); font-size:12pt; font-weight:normal;\">";
                msg.Body += "<br><br>" + tbContent.Text.Replace("\n", "<br>");
                msg.Body += "</span></td></tr></table></span>";
 
                string emails = ConfigurationManager.AppSettings["Email"];
                string[] parts = emails.Split(';');
                msg.From = new MailAddress(lblFromEmail.Text, "Admin");
                foreach (string email in parts)
                    msg.To.Add(email);
                msg.ReplyTo = new MailAddress(lblFromEmail.Text);
                SmtpClient smtp = new SmtpClient(ConfigurationManager.AppSettings["SmtpMailServer"], int.Parse(ConfigurationManager.AppSettings["MailServerPort"]));
                smtp.UseDefaultCredentials = false;
                smtp.EnableSsl = bool.Parse(ConfigurationManager.AppSettings["EnableSSL"]);
                if (string.IsNullOrEmpty(ConfigurationManager.AppSettings["MailServerUserName"]) && string.IsNullOrEmpty(ConfigurationManager.AppSettings["MailServerPassword"]))
                    smtp.UseDefaultCredentials = true;
                else
                    smtp.Credentials = new NetworkCredential(ConfigurationManager.AppSettings["MailServerUserName"], ConfigurationManager.AppSettings["MailServerPassword"]);
                smtp.Send(msg);
                RadAjaxPanel1.Alert("Comment Sent!");
            }
            catch (Exception ex)
            {
                RadAjaxPanel1.Alert("Access Denied!");
            }
        }

        protected string readFile(string path)
        {
            if (!System.IO.File.Exists(path))
            {
                return string.Empty;
            }

            using (System.IO.StreamReader sr = new System.IO.StreamReader(path))
            {
                return sr.ReadToEnd();
            }
        }

        #endregion

    }
}
