﻿using Telerik.Reporting;
using System;
using System.Collections.Generic;
using System.Linq;

/// <summary>
/// Summary description for ErrorReport.
/// </summary>
public class ErrorReport : Report
{
    private DetailSection detail;
    private ReportHeaderSection reportHeaderSection1;
    private TextBox tbDatePrepared;
    private TextBox tbName;
    private TextBox tbNameTitle;
    private TextBox tbTitle;
    private TextBox tbDateCreated;
    private TextBox company;
    private TextBox logo;
    private Shape shape1;
    private TextBox textBox2;
    private TextBox textBox3;
    private TextBox textBox4;
    private Group group1;
    private GroupFooterSection groupFooterSection1;
    private Shape shape2;
    private GroupHeaderSection groupHeaderSection1;
    private TextBox textBox1;
    private PageFooterSection pageFooter;

    private bool isValid;
    public bool IsValid { get { return isValid; } }

    public ErrorReport()
    {
        /// <summary>
        /// Required for telerik Reporting designer support
        /// </summary>
        InitializeComponent();

        List<ErrorReportItem> list = new List<ErrorReportItem>();

        list.Add(new ErrorReportItem() { ID = "1", Title = "Error in first section", Description = "You have an error in the second line... or maybe not...", Number = "1" });
        list.Add(new ErrorReportItem() { ID = "2", Title = "Error in first section", Description = "You have an error in the second line... or maybe not...", Number = "2" });
        list.Add(new ErrorReportItem() { ID = "3", Title = "Major error", Description = "Oh my god, what an error...", Number = "3" });
        list.Add(new ErrorReportItem() { ID = "4", Title = "Major error", Description = "Do something... Please!", Number = "4" });
        list.Add(new ErrorReportItem() { ID = "5", Title = "Minor error", Description = "Nevermind...", Number = "5" });

        // display errors
        this.DataSource = list;

        this.tbName.Value = "MyName";
        this.tbDatePrepared.Value = DateTime.Now.ToShortDateString();
        this.tbTitle.Value = "Error Report";
    }

    #region Component Designer generated code
    /// <summary>
    /// Required method for telerik Reporting designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
        this.detail = new Telerik.Reporting.DetailSection();
        this.textBox2 = new Telerik.Reporting.TextBox();
        this.textBox3 = new Telerik.Reporting.TextBox();
        this.shape1 = new Telerik.Reporting.Shape();
        this.pageFooter = new Telerik.Reporting.PageFooterSection();
        this.textBox4 = new Telerik.Reporting.TextBox();
        this.reportHeaderSection1 = new Telerik.Reporting.ReportHeaderSection();
        this.tbDatePrepared = new Telerik.Reporting.TextBox();
        this.tbName = new Telerik.Reporting.TextBox();
        this.tbNameTitle = new Telerik.Reporting.TextBox();
        this.tbTitle = new Telerik.Reporting.TextBox();
        this.tbDateCreated = new Telerik.Reporting.TextBox();
        this.company = new Telerik.Reporting.TextBox();
        this.logo = new Telerik.Reporting.TextBox();
        this.group1 = new Telerik.Reporting.Group();
        this.groupFooterSection1 = new Telerik.Reporting.GroupFooterSection();
        this.shape2 = new Telerik.Reporting.Shape();
        this.groupHeaderSection1 = new Telerik.Reporting.GroupHeaderSection();
        this.textBox1 = new Telerik.Reporting.TextBox();
        ((System.ComponentModel.ISupportInitialize)(this)).BeginInit();
        // 
        // detail
        // 
        this.detail.Height = new Telerik.Reporting.Drawing.Unit(0.59999984502792358, Telerik.Reporting.Drawing.UnitType.Cm);
        this.detail.Items.AddRange(new Telerik.Reporting.ReportItemBase[] {
            this.textBox3,
            this.textBox2});
        this.detail.Name = "detail";
        // 
        // textBox2
        // 
        this.textBox2.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0.099999144673347473, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.099899426102638245, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox2.Name = "textBox2";
        this.textBox2.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(1.0365115404129028, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.5, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox2.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        this.textBox2.Style.VerticalAlign = Telerik.Reporting.Drawing.VerticalAlign.Middle;
        this.textBox2.Value = "=Number";
        // 
        // textBox3
        // 
        this.textBox3.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(1.1367107629776, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.099899426102638245, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox3.Name = "textBox3";
        this.textBox3.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(14.573345184326172, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.5, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox3.Style.Font.Size = new Telerik.Reporting.Drawing.Unit(9, Telerik.Reporting.Drawing.UnitType.Point);
        this.textBox3.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        this.textBox3.Style.VerticalAlign = Telerik.Reporting.Drawing.VerticalAlign.Middle;
        this.textBox3.Value = "=Description";
        // 
        // shape1
        // 
        this.shape1.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0.099999971687793732, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.86772376298904419, Telerik.Reporting.Drawing.UnitType.Cm));
        this.shape1.Name = "shape1";
        this.shape1.ShapeType = new Telerik.Reporting.Drawing.Shapes.LineShape(Telerik.Reporting.Drawing.Shapes.LineDirection.EW);
        this.shape1.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(15.662962913513184, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.13227513432502747, Telerik.Reporting.Drawing.UnitType.Cm));
        this.shape1.Style.Color = System.Drawing.Color.DarkRed;
        // 
        // pageFooter
        // 
        this.pageFooter.Height = new Telerik.Reporting.Drawing.Unit(1.341170072555542, Telerik.Reporting.Drawing.UnitType.Cm);
        this.pageFooter.Items.AddRange(new Telerik.Reporting.ReportItemBase[] {
            this.textBox4});
        this.pageFooter.Name = "pageFooter";
        // 
        // textBox4
        // 
        this.textBox4.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(6.9000000953674316, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.46762537956237793, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox4.Name = "textBox4";
        this.textBox4.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(1.9999997615814209, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.59999984502792358, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox4.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Center;
        this.textBox4.Value = "=PageNumber";
        // 
        // reportHeaderSection1
        // 
        this.reportHeaderSection1.Height = new Telerik.Reporting.Drawing.Unit(3.7999997138977051, Telerik.Reporting.Drawing.UnitType.Cm);
        this.reportHeaderSection1.Items.AddRange(new Telerik.Reporting.ReportItemBase[] {
            this.tbDatePrepared,
            this.tbName,
            this.tbNameTitle,
            this.tbTitle,
            this.tbDateCreated,
            this.company,
            this.logo});
        this.reportHeaderSection1.Name = "reportHeaderSection1";
        // 
        // tbDatePrepared
        // 
        this.tbDatePrepared.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(2.5999999046325684, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.70000004768371582, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbDatePrepared.Name = "tbDatePrepared";
        this.tbDatePrepared.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(2.4333453178405762, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.60000020265579224, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbDatePrepared.Style.Font.Bold = true;
        this.tbDatePrepared.Style.Font.Size = new Telerik.Reporting.Drawing.Unit(11, Telerik.Reporting.Drawing.UnitType.Point);
        this.tbDatePrepared.Style.Font.Underline = false;
        this.tbDatePrepared.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        // 
        // tbName
        // 
        this.tbName.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(2.3412692546844482, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(2.9238097667694092, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbName.Name = "tbName";
        this.tbName.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(5.6468906402587891, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.34689006209373474, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbName.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        // 
        // tbNameTitle
        // 
        this.tbNameTitle.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0.099999949336051941, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(2.9238097667694092, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbNameTitle.Name = "tbNameTitle";
        this.tbNameTitle.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(2.2410693168640137, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.34689006209373474, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbNameTitle.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        this.tbNameTitle.Value = "Name: ";
        // 
        // tbTitle
        // 
        this.tbTitle.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(1.6010586023330689, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbTitle.Name = "tbTitle";
        this.tbTitle.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(15.867525100708008, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(1.2735450267791748, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbTitle.Style.Font.Bold = true;
        this.tbTitle.Style.Font.Size = new Telerik.Reporting.Drawing.Unit(12, Telerik.Reporting.Drawing.UnitType.Point);
        this.tbTitle.Style.Font.Underline = true;
        this.tbTitle.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Center;
        // 
        // tbDateCreated
        // 
        this.tbDateCreated.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0.099999971687793732, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.70000004768371582, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbDateCreated.Name = "tbDateCreated";
        this.tbDateCreated.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(2.4468896389007568, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.60000020265579224, Telerik.Reporting.Drawing.UnitType.Cm));
        this.tbDateCreated.Style.Font.Bold = true;
        this.tbDateCreated.Style.Font.Size = new Telerik.Reporting.Drawing.Unit(11, Telerik.Reporting.Drawing.UnitType.Point);
        this.tbDateCreated.Style.Font.Underline = false;
        this.tbDateCreated.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        this.tbDateCreated.Value = "Created On ";
        // 
        // company
        // 
        this.company.Culture = new System.Globalization.CultureInfo("he-IL");
        this.company.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0.099999971687793732, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.040211956948041916, Telerik.Reporting.Drawing.UnitType.Cm));
        this.company.Name = "company";
        this.company.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(4.9333453178405762, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.60000020265579224, Telerik.Reporting.Drawing.UnitType.Cm));
        this.company.Style.Font.Bold = true;
        this.company.Style.Font.Size = new Telerik.Reporting.Drawing.Unit(11, Telerik.Reporting.Drawing.UnitType.Point);
        this.company.Style.Font.Underline = false;
        this.company.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        this.company.Value = "Company";
        // 
        // logo
        // 
        this.logo.Culture = new System.Globalization.CultureInfo("he-IL");
        this.logo.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(10.59523868560791, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.013756928965449333, Telerik.Reporting.Drawing.UnitType.Cm));
        this.logo.Name = "logo";
        this.logo.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(5.1677250862121582, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.60000020265579224, Telerik.Reporting.Drawing.UnitType.Cm));
        this.logo.Style.Font.Bold = true;
        this.logo.Style.Font.Size = new Telerik.Reporting.Drawing.Unit(11, Telerik.Reporting.Drawing.UnitType.Point);
        this.logo.Style.Font.Underline = true;
        this.logo.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Right;
        this.logo.Value = "Logo";
        // 
        // group1
        // 
        this.group1.GroupFooter = this.groupFooterSection1;
        this.group1.GroupHeader = this.groupHeaderSection1;
        this.group1.Grouping.AddRange(new Telerik.Reporting.Data.Grouping[] {
            new Telerik.Reporting.Data.Grouping("ID")});
        this.group1.Sorting.AddRange(new Telerik.Reporting.Data.Sorting[] {
            new Telerik.Reporting.Data.Sorting("Number", Telerik.Reporting.Data.SortDirection.Asc)});
        // 
        // groupFooterSection1
        // 
        this.groupFooterSection1.Height = new Telerik.Reporting.Drawing.Unit(0.15883027017116547, Telerik.Reporting.Drawing.UnitType.Cm);
        this.groupFooterSection1.Items.AddRange(new Telerik.Reporting.ReportItemBase[] {
            this.shape2});
        this.groupFooterSection1.Name = "groupFooterSection1";
        // 
        // shape2
        // 
        this.shape2.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0.099999159574508667, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.02655513770878315, Telerik.Reporting.Drawing.UnitType.Cm));
        this.shape2.Name = "shape2";
        this.shape2.ShapeType = new Telerik.Reporting.Drawing.Shapes.LineShape(Telerik.Reporting.Drawing.Shapes.LineDirection.EW);
        this.shape2.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(15.662962913513184, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.13227513432502747, Telerik.Reporting.Drawing.UnitType.Cm));
        this.shape2.Style.Color = System.Drawing.Color.DarkRed;
        // 
        // groupHeaderSection1
        // 
        this.groupHeaderSection1.Height = new Telerik.Reporting.Drawing.Unit(0.99999970197677612, Telerik.Reporting.Drawing.UnitType.Cm);
        this.groupHeaderSection1.Items.AddRange(new Telerik.Reporting.ReportItemBase[] {
            this.shape1,
            this.textBox1});
        this.groupHeaderSection1.Name = "groupHeaderSection1";
        // 
        // textBox1
        // 
        this.textBox1.Location = new Telerik.Reporting.Drawing.PointU(new Telerik.Reporting.Drawing.Unit(0.099999971687793732, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.31461364030838013, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox1.Name = "textBox1";
        this.textBox1.Size = new Telerik.Reporting.Drawing.SizeU(new Telerik.Reporting.Drawing.Unit(15.662964820861816, Telerik.Reporting.Drawing.UnitType.Cm), new Telerik.Reporting.Drawing.Unit(0.5, Telerik.Reporting.Drawing.UnitType.Cm));
        this.textBox1.Style.Color = System.Drawing.Color.DarkRed;
        this.textBox1.Style.TextAlign = Telerik.Reporting.Drawing.HorizontalAlign.Left;
        this.textBox1.Style.VerticalAlign = Telerik.Reporting.Drawing.VerticalAlign.Middle;
        this.textBox1.Value = "=Title";
        // 
        // ErrorReport
        // 
        this.Groups.AddRange(new Telerik.Reporting.Group[] {
            this.group1});
        this.Items.AddRange(new Telerik.Reporting.ReportItemBase[] {
            this.groupHeaderSection1,
            this.groupFooterSection1,
            this.detail,
            this.pageFooter,
            this.reportHeaderSection1});
        this.PageSettings.Landscape = false;
        this.PageSettings.Margins.Bottom = new Telerik.Reporting.Drawing.Unit(2.5396826267242432, Telerik.Reporting.Drawing.UnitType.Cm);
        this.PageSettings.Margins.Left = new Telerik.Reporting.Drawing.Unit(2.5396826267242432, Telerik.Reporting.Drawing.UnitType.Cm);
        this.PageSettings.Margins.Right = new Telerik.Reporting.Drawing.Unit(2.5396826267242432, Telerik.Reporting.Drawing.UnitType.Cm);
        this.PageSettings.Margins.Top = new Telerik.Reporting.Drawing.Unit(2.5396826267242432, Telerik.Reporting.Drawing.UnitType.Cm);
        this.PageSettings.PaperKind = System.Drawing.Printing.PaperKind.A4;
        this.Style.BackgroundColor = System.Drawing.Color.White;
        this.Width = new Telerik.Reporting.Drawing.Unit(15.894180297851563, Telerik.Reporting.Drawing.UnitType.Cm);
        ((System.ComponentModel.ISupportInitialize)(this)).EndInit();

    }
    #endregion
}

public class ErrorReportItem
{
    public string ID { get; set; }
    public string Title { get; set; }
    public string Description { get; set; }
    public string Number { get; set; }
}
