﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.Globalization;
using System.Web;



namespace WindowCommentReport
{
    public partial class PdfReport : System.Web.UI.Page
    {
        #region Methods

        void exportToPDF(string reportName, Telerik.Reporting.Report reportToExport)
        {
            string mimeType = string.Empty;
            string ext = string.Empty;
            Encoding encoding = Encoding.Default;
            Hashtable deviceInfo = new Hashtable();
            deviceInfo["FontEmbedding"] = "Subset";
            byte[] reportBytes = Telerik.Reporting.Processing.ReportProcessor.Render("PDF", reportToExport, deviceInfo, out mimeType, out ext, out encoding);
            string fileName = reportName + ".pdf";
            Response.Clear();
            Response.ContentType = mimeType;
            Response.Cache.SetCacheability(HttpCacheability.Private);
            Response.Expires = -1;
            Response.Buffer = false;
            Response.AddHeader("Content-Disposition", string.Format("{0};FileName=\"{1}\"", "inline", fileName));
            Response.OutputStream.Write(reportBytes, 0, reportBytes.Length);
            Response.End();
        }

        #endregion

        #region Events

        protected void Page_Load(object sender, EventArgs e)
        {
            ErrorReport report = new ErrorReport();
            exportToPDF("ErrorReport", report);
        }

        /// <summary>
        /// overide culture intialization to set the user language for the gui of the system.
        /// </summary>
        /// 
        protected override void InitializeCulture()
        {
            if (Session["language"] == null)
                Session["language"] = "he-il";
            Thread.CurrentThread.CurrentUICulture = new CultureInfo(Session["language"] as string);
            Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(Session["language"] as string);
            base.InitializeCulture();
        }


        #endregion

    }
}
